/[MITgcm]/MITgcm/tools/genmake2
ViewVC logotype

Diff of /MITgcm/tools/genmake2

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.151 by edhill, Wed Jun 7 22:33:00 2006 UTC revision 1.165 by mlosch, Mon Oct 8 07:33:28 2007 UTC
# Line 325  find_possible_configs()  { Line 325  find_possible_configs()  {
325    
326      #================================================================      #================================================================
327      #  look for possible C compilers      #  look for possible C compilers
328      tmp="$MITGCM_CC $CC gcc c89 cc c99 mpicc"      tmp="$MITGCM_CC $CC gcc c89 cc c99 mpicc icc"
329      p_CC=      p_CC=
330      for c in $tmp ; do      for c in $tmp ; do
331          rm -f ./genmake_hello.c  ./genmake_hello          rm -f ./genmake_hello.c  ./genmake_hello
# Line 364  EOF Line 364  EOF
364    
365      #================================================================      #================================================================
366      #  look for possible FORTRAN compilers      #  look for possible FORTRAN compilers
367      tmp="$MITGCM_FC $FC efc g77 f77 pgf77 pgf95 ifc f90 f95 mpif77 mpf77 mpxlf95 gfortran"      tmp="$MITGCM_FC $FC efc g77 f77 pgf77 pgf95 ifc ifort f90 f95 mpif77 mpf77 mpxlf95 gfortran g95"
368      p_FC=      p_FC=
369      for c in $tmp ; do      for c in $tmp ; do
370          rm -f ./hello.f ./hello          rm -f ./hello.f ./hello
# Line 601  Usage: "$0" [OPTIONS] Line 601  Usage: "$0" [OPTIONS]
601    
602      -gsl | --gsl      -gsl | --gsl
603            Use GSL to control floating point rounding and precision            Use GSL to control floating point rounding and precision
604        -devel | --devel
605              Add additional warning and debugging flags for development
606    
607      -mpi | --mpi      -mpi | --mpi
608            Include MPI header files and link to MPI libraries            Include MPI header files and link to MPI libraries
# Line 754  EOF Line 756  EOF
756        print *," HELLO WORLD", wtime        print *," HELLO WORLD", wtime
757        end        end
758  EOF  EOF
759      $FC $FFLAGS -o genmake_tc genmake_tc_2.$FS genmake_tc_1.o >> genmake_warnings 2>&1      COMM="$FC $FFLAGS -o genmake_tc genmake_tc_2.$FS genmake_tc_1.o"
760        echo $COMM >> genmake_warnings
761        $COMM >> genmake_warnings 2>&1
762      RET_F=$?      RET_F=$?
763      test -x ./genmake_tc  &&  ./genmake_tc >> genmake_warnings 2>&1      test -x ./genmake_tc  &&  ./genmake_tc >> genmake_warnings 2>&1
764      RETVAL=$?      RETVAL=$?
# Line 946  EOF Line 950  EOF
950      RET_CPP=f      RET_CPP=f
951      COMM="cat genmake_tnc.F | $CPP $DEFINES $INCLUDES"      COMM="cat genmake_tnc.F | $CPP $DEFINES $INCLUDES"
952      echo "$COMM" >> genmake_tnc.log      echo "$COMM" >> genmake_tnc.log
953      $COMM > genmake_tnc.$FS 2>/dev/null  &&  RET_CPP=t      eval $COMM > genmake_tnc.$FS 2>/dev/null  &&  RET_CPP=t
954      if test "x$RET_CPP" = xf ; then      if test "x$RET_CPP" = xf ; then
955          echo "  WARNING: CPP failed to pre-process the netcdf test." \          echo "  WARNING: CPP failed to pre-process the netcdf test." \
956              >> genmake_tnc.log              >> genmake_tnc.log
# Line 954  EOF Line 958  EOF
958              >> genmake_tnc.log              >> genmake_tnc.log
959      fi      fi
960      echo "$FC $FFLAGS $FOPTIM -c genmake_tnc.$FS  \ " >> genmake_tnc.log      echo "$FC $FFLAGS $FOPTIM -c genmake_tnc.$FS  \ " >> genmake_tnc.log
961      echo "  &&  $LINK -o genmake_tnc.o $LIBS" >> genmake_tnc.log      echo "  &&  $LINK $FFLAGS $FOPTIM -o genmake_tnc.o $LIBS" >> genmake_tnc.log
962      $FC $FFLAGS $FOPTIM -c genmake_tnc.$FS >> genmake_tnc.log 2>&1  \      $FC $FFLAGS $FOPTIM -c genmake_tnc.$FS >> genmake_tnc.log 2>&1  \
963          &&  $LINK -o genmake_tnc genmake_tnc.o $LIBS >> genmake_tnc.log 2>&1          &&  $LINK $FFLAGS $FOPTIM -o genmake_tnc genmake_tnc.o $LIBS >> genmake_tnc.log 2>&1
964      RET_COMPILE=$?      RET_COMPILE=$?
965      cat genmake_tnc.log >> genmake_warnings      cat genmake_tnc.log >> genmake_warnings
966    
# Line 974  EOF Line 978  EOF
978          echo "try again with added '-lnetcdf'" > genmake_tnc.log          echo "try again with added '-lnetcdf'" > genmake_tnc.log
979          echo "cat genmake_tnc.F | $CPP $DEFINES $INCLUDES > genmake_tnc.$FS \ " >> genmake_tnc.log          echo "cat genmake_tnc.F | $CPP $DEFINES $INCLUDES > genmake_tnc.$FS \ " >> genmake_tnc.log
980          echo " &&  $FC $FFLAGS $FOPTIM -c genmake_tnc.$FS \ " >> genmake_tnc.log          echo " &&  $FC $FFLAGS $FOPTIM -c genmake_tnc.$FS \ " >> genmake_tnc.log
981          echo " &&  $LINK -o genmake_tnc genmake_tnc.o $LIBS -lnetcdf" >> genmake_tnc.log          echo " &&  $LINK $FFLAGS $FOPTIM -o genmake_tnc genmake_tnc.o $LIBS -lnetcdf" >> genmake_tnc.log
982          cat genmake_tnc.F | $CPP $DEFINES $INCLUDES > genmake_tnc.$FS 2>/dev/null  \          cat genmake_tnc.F | $CPP $DEFINES $INCLUDES > genmake_tnc.$FS 2>/dev/null  \
983              &&  $FC $FFLAGS $FOPTIM -c genmake_tnc.$FS >> genmake_tnc.log 2>&1  \              &&  $FC $FFLAGS $FOPTIM -c genmake_tnc.$FS >> genmake_tnc.log 2>&1  \
984              &&  $LINK -o genmake_tnc genmake_tnc.o $LIBS -lnetcdf >> genmake_tnc.log 2>&1              &&  $LINK $FFLAGS $FOPTIM -o genmake_tnc genmake_tnc.o $LIBS -lnetcdf >> genmake_tnc.log 2>&1
985          RET_COMPILE=$?          RET_COMPILE=$?
986          cat genmake_tnc.log >> genmake_warnings          cat genmake_tnc.log >> genmake_warnings
987          if test "x$RET_COMPILE" = x0 ; then          if test "x$RET_COMPILE" = x0 ; then
988              LIBS="$LIBS -lnetcdf"              LIBS="$LIBS -lnetcdf"
989              HAVE_NETCDF=t              HAVE_NETCDF=t
990            else
991            # try again with "-lnetcdff" added to the libs
992                echo "try again with added '-lnetcdff -lnetcdf'" > genmake_tnc.log
993                echo "cat genmake_tnc.F | $CPP $DEFINES $INCLUDES > genmake_tnc.$FS \ " >> genmake_tnc.log
994                echo " &&  $FC $FFLAGS $FOPTIM -c genmake_tnc.$FS \ " >> genmake_tnc.log
995                echo " &&  $LINK $FFLAGS $FOPTIM -o genmake_tnc genmake_tnc.o $LIBS -lnetcdf" >> genmake_tnc.log
996                cat genmake_tnc.F | $CPP $DEFINES $INCLUDES > genmake_tnc.$FS 2>/dev/null  \
997                    &&  $FC $FFLAGS $FOPTIM -c genmake_tnc.$FS >> genmake_tnc.log 2>&1  \
998                    &&  $LINK $FFLAGS $FOPTIM -o genmake_tnc genmake_tnc.o $LIBS -lnetcdff -lnetcdf >> genmake_tnc.log 2>&1
999                RET_COMPILE=$?
1000                cat genmake_tnc.log >> genmake_warnings
1001                if test "x$RET_COMPILE" = x0 ; then
1002                    LIBS="$LIBS -lnetcdff -lnetcdf"
1003                    HAVE_NETCDF=t
1004                fi
1005          fi          fi
1006      fi      fi
1007      rm -f genmake_tnc*      rm -f genmake_tnc*
# Line 1018  OPTFILE= Line 1037  OPTFILE=
1037  INCLUDES="-I. $INCLUDES"  INCLUDES="-I. $INCLUDES"
1038  FFLAGS=  FFLAGS=
1039  FOPTIM=  FOPTIM=
1040    FEXTRAFLAGS=
1041  CFLAGS=  CFLAGS=
1042  KFLAGS1=  KFLAGS1=
1043  KFLAGS2=  KFLAGS2=
# Line 1036  PAPI= Line 1056  PAPI=
1056  PCL=  PCL=
1057  HPMT=  HPMT=
1058  GSL=  GSL=
1059    DEVEL=
1060  HAVE_TEST_L=  HAVE_TEST_L=
1061    
1062  # DEFINES checked by test compilation or command-line  # DEFINES checked by test compilation or command-line
# Line 1094  TAMC_EXTRA= Line 1115  TAMC_EXTRA=
1115    
1116  #  The following state can be set directly by command-line switches  #  The following state can be set directly by command-line switches
1117  gm_s1="OPTFILE PDEPEND PDEFAULT MAKEFILE PLATFORM ROOTDIR MODS DISABLE ENABLE"  gm_s1="OPTFILE PDEPEND PDEFAULT MAKEFILE PLATFORM ROOTDIR MODS DISABLE ENABLE"
1118  gm_s2="FC CPP IEEE TS PAPIS PCLS PAPI PCL HPMT GSL MPI JAM DUMPSTATE STANDARDDIRS"  gm_s2="FC CPP IEEE TS PAPIS PCLS PAPI PCL HPMT GSL DEVEL MPI JAM DUMPSTATE STANDARDDIRS"
1119    
1120  #  The following state is not directly set by command-line switches  #  The following state is not directly set by command-line switches
1121  gm_s3="LN S64 KPP LINK PACKAGES MAKEDEPEND PDEPEND PDEFAULT INCLUDES FFLAGS FOPTIM "  gm_s3="LN S64 KPP LINK PACKAGES MAKEDEPEND PDEPEND PDEFAULT INCLUDES FFLAGS FOPTIM FEXTRAFLAGS"
1122  gm_s4="CFLAGS KFLAGS1 KFLAGS2 LIBS KPPFILES NOOPTFILES NOOPTFLAGS"  gm_s4="CFLAGS KFLAGS1 KFLAGS2 LIBS KPPFILES NOOPTFILES NOOPTFLAGS"
1123  gm_s5="TOOLSDIR SOURCEDIRS INCLUDEDIRS PWD MAKE THISHOST THISUSER THISDATE THISVER MACHINE"  gm_s5="TOOLSDIR SOURCEDIRS INCLUDEDIRS PWD MAKE THISHOST THISUSER THISDATE THISVER MACHINE"
1124  gm_s6="EXECUTABLE EXEHOOK EXEDIR PACKAGES_CONF"  gm_s6="EXECUTABLE EXEHOOK EXEDIR PACKAGES_CONF"
# Line 1292  for ac_option in "$@" ; do Line 1313  for ac_option in "$@" ; do
1313          -gsl | --gsl)          -gsl | --gsl)
1314              GSL=true ;;              GSL=true ;;
1315    
1316            -devel | --devel)
1317                DEVEL=true ;;
1318    
1319          -mpi | --mpi)          -mpi | --mpi)
1320              MPI=true ;;              MPI=true ;;
1321          -mpi=* | --mpi=*)          -mpi=* | --mpi=*)
# Line 1340  done Line 1364  done
1364  if test -f ./.genmakerc ; then  if test -f ./.genmakerc ; then
1365      echo      echo
1366      echo "WARNING: genmake2 has detected a copy of the old-style \"./.genmakerc\""      echo "WARNING: genmake2 has detected a copy of the old-style \"./.genmakerc\""
1367      echo "  file.  This file format is no longer supported.  Please see:"      echo "  file.  This file format is no longer supported.  For directions on"
1368      echo      echo "  how to setup and use the new \"genmake2\" script, please see:"
1369      echo "    http://mitgcm.org/devel_HOWTO/"      echo "    http://mitgcm.org/devel_HOWTO/"
1370      echo      echo "  and send an email to MITgcm-support@mitgcm.org if you need help."
1371      echo "  for directions on how to setup and use the new \"genmake2\" input"      echo "WARNING: ignore \"./.genmakerc\" and continue."
     echo "  files and send an email to MITgcm-support@mitgcm.org if you want help."  
1372      echo      echo
1373  fi  fi
1374    
1375  #  Find the MITgcm ${ROOTDIR}  #  Find the MITgcm ${ROOTDIR}
1376  if test "x${ROOTDIR}" = x ; then  if test "x${ROOTDIR}" = x ; then
1377      tmp=`echo $PWD | sed -e 's/\// /g' | $AWK '{print $NR}'`      tmp=`echo $PWD | sed -e 's/\// /g' | $AWK '{print $NR}'`
1378      if test "x$tmp" = "xbin" -a -d ../model -a -d ../eesup -a -d ../pkg ; then      if test "x$tmp" = "xbin" -a -d ../model -a -d ../eesupp -a -d ../pkg ; then
1379          ROOTDIR=".."          ROOTDIR=".."
1380      else      else
1381          for d in . .. ../.. ../../.. ../../../.. ../../../../.. ; do          for d in . .. ../.. ../../.. ../../../.. ../../../../.. ; do
# Line 1542  if test ! "x$TS" = x ; then Line 1565  if test ! "x$TS" = x ; then
1565        else        else
1566              DEFINES="$DEFINES -DTIME_PER_TIMESTEP"              DEFINES="$DEFINES -DTIME_PER_TIMESTEP"
1567        fi        fi
1568          PACKAGES="$PACKAGES showflops"
1569  fi  fi
1570  if test ! "x$PAPIS" = x ; then  if test ! "x$PAPIS" = x ; then
1571        echo "  Turning on PAPI flop summary per timestep"        echo "  Turning on PAPI flop summary per timestep"
# Line 1553  if test ! "x$PAPIS" = x ; then Line 1577  if test ! "x$PAPIS" = x ; then
1577        fi        fi
1578        INCLUDES="$INCLUDES $PAPIINC"        INCLUDES="$INCLUDES $PAPIINC"
1579        LIBS="$LIBS $PAPILIB"        LIBS="$LIBS $PAPILIB"
1580          PACKAGES="$PACKAGES showflops"
1581  fi  fi
1582  if test ! "x$PCLS" = x ; then  if test ! "x$PCLS" = x ; then
1583        echo "  Turning on PCL counter summary per timestep"        echo "  Turning on PCL counter summary per timestep"
# Line 1564  if test ! "x$PCLS" = x ; then Line 1589  if test ! "x$PCLS" = x ; then
1589        fi        fi
1590        INCLUDES="$INCLUDES $PCLINC"        INCLUDES="$INCLUDES $PCLINC"
1591        LIBS="$LIBS $PCLLIB"        LIBS="$LIBS $PCLLIB"
1592          PACKAGES="$PACKAGES showflops"
1593  fi  fi
1594  if test ! "x$PAPI" = x ; then  if test ! "x$PAPI" = x ; then
1595        if test ! "x$PAPIS" = x ; then        if test ! "x$PAPIS" = x ; then
# Line 1818  if test -r $ROOTDIR"/eesupp/src/Makefile Line 1844  if test -r $ROOTDIR"/eesupp/src/Makefile
1844      fi      fi
1845  fi  fi
1846    
1847  #same for exch2  #same for pkg/exch2 and pkg/regrid
1848  if test -r $ROOTDIR"/pkg/exch2/Makefile" ; then  for pdir in exch2 regrid ; do
1849      echo "  Making source files in exch2 from  templates"      if test -r $ROOTDIR"/pkg/${pdir}/Makefile" ; then
1850      ( cd $ROOTDIR"/pkg/exch2/" && $MAKE ) > make_exch2.errors 2>&1          echo "  Making source files in pkg/${pdir} from templates"
1851      RETVAL=$?          ( cd $ROOTDIR"/pkg/"${pdir} && $MAKE ) > make_${pdir}.errors 2>&1
1852      if test "x${RETVAL}" = x0 ; then          RETVAL=$?
1853          rm -f make_exch2.errors          if test "x${RETVAL}" = x0 ; then
1854      else              rm -f make_${pdir}.errors
1855          echo "Error: problem encountered while building source files in exch2:"          else
1856          cat make_exch2.errors 1>&2              echo "Error: problem encountered while building source files in pkg/${pdir}:"
1857          exit 1              cat make_${pdir}.errors 1>&2
1858                exit 1
1859            fi
1860      fi      fi
1861  fi  done
1862    
1863  printf "\n===  Determining package settings  ===\n"  printf "\n===  Determining package settings  ===\n"
1864  if  test "x${PDEPEND}" = x ; then  if  test "x${PDEPEND}" = x ; then
# Line 1941  done Line 1969  done
1969  rm -f ./.tmp_pack  rm -f ./.tmp_pack
1970  echo "    packages are:  $PACKAGES"  echo "    packages are:  $PACKAGES"
1971    
1972  #  Check availability of NetCDF and then either build the MNC template  #  Check for package MNC: if NetCDF is available, then build the MNC
1973  #  files or delete mnc from the list of available packages.  #  template files ; otherwise, delete mnc from the list of packages.
1974  echo $PACKAGES | grep ' mnc ' > /dev/null 2>&1  echo $PACKAGES | grep ' mnc ' > /dev/null 2>&1
1975  RETVAL=$?  RETVAL=$?
1976  if test "x$RETVAL" = x0 ; then  if test "x$RETVAL" = x0 ; then
# Line 1976  EOF Line 2004  EOF
2004      fi      fi
2005  fi  fi
2006    
2007    #  Check for package PROFILES: if NetCDF is not available,
2008    #  then delete profiles from the list of available packages.
2009    echo $PACKAGES | grep ' profiles ' > /dev/null 2>&1
2010    RETVAL=$?
2011    if test "x$RETVAL" = x0 ; then
2012        if test "x$HAVE_NETCDF" != xt ; then
2013            cat <<EOF
2014    
2015    *********************************************************************
2016    WARNING: the "profiles" package was enabled but tests failed to
2017      compile NetCDF applications.  Please check that:
2018    
2019      1) NetCDF is correctly installed for this compiler and
2020      2) the LIBS variable (within the "optfile") specifies the correct
2021           NetCDF library to link against.
2022    
2023      Due to this failure, the "profiles" package is now DISABLED.
2024    *********************************************************************
2025    
2026    EOF
2027            PACKAGES=`echo $PACKAGES | sed -e 's/profiles//g'`
2028            DISABLE="$DISABLE profiles"
2029        fi
2030    fi
2031    
2032  echo "  applying package dependency rules"  echo "  applying package dependency rules"
2033  ck=  ck=
2034  while test "x$ck" != xtt ; do  while test "x$ck" != xtt ; do
2035      i=0      i=0
2036      # rtot=${#PNAME[@]}      # rtot=${#PNAME[@]}
2037      rtot=$nname      rtot=$nname
2038      while test $i -lt $rtot ; do      while test $i -le $rtot ; do
2039    
2040          #  Is $pname in the current $PACKAGES list?          #  Is $pname in the current $PACKAGES list?
2041          #  pname=${PNAME[$i]}          #  pname=${PNAME[$i]}
# Line 2016  while test "x$ck" != xtt ; do Line 2069  while test "x$ck" != xtt ; do
2069    
2070          #  Do we need to add $dname according to the dependency rules?          #  Do we need to add $dname according to the dependency rules?
2071          if test "x$pin" = xt -a "x$plus" = "x+" -a "x$din" = xf ; then          if test "x$pin" = xt -a "x$plus" = "x+" -a "x$din" = xf ; then
2072                #echo "   " $pname ": need to add :" $dname
2073              in_dis="f"              in_dis="f"
2074              for dis in $DISABLE ; do              for dis in $DISABLE ; do
2075                  if test "x$dis" = "x$dname" ; then                  if test "x$dis" = "x$dname" ; then
# Line 2205  if test ! "x$DIVA" = x ; then Line 2259  if test ! "x$DIVA" = x ; then
2259          perl -i -pe 's/MPI_DISPLACEMENT_CURRENT=-1_8/MPI_DISPLACEMENT_CURRENT=-1/g' mpi_headers/mpif.h          perl -i -pe 's/MPI_DISPLACEMENT_CURRENT=-1_8/MPI_DISPLACEMENT_CURRENT=-1/g' mpi_headers/mpif.h
2260      else      else
2261          echo " We cannot create a copy of mpif.h!"          echo " We cannot create a copy of mpif.h!"
2262          exit -1  #       exit -1
2263      fi      fi
2264  fi  fi
2265    
# Line 2408  INCLUDES = ${INCLUDES} Line 2462  INCLUDES = ${INCLUDES}
2462  KFLAGS1 = ${KFLAGS1}  KFLAGS1 = ${KFLAGS1}
2463  KFLAGS2 = ${KFLAGS2}  KFLAGS2 = ${KFLAGS2}
2464  # Optim./debug for FC  # Optim./debug for FC
2465  FFLAGS = ${FFLAGS}  FFLAGS = ${FFLAGS} ${FEXTRAFLAGS}
2466  FOPTIM = ${FOPTIM}  FOPTIM = ${FOPTIM}
2467  # Optim./debug for FC  # Optim./debug for FC
2468  F90FLAGS = ${F90FLAGS}  F90FLAGS = ${F90FLAGS}
# Line 2456  lib: libmitgcmuv.a Line 2510  lib: libmitgcmuv.a
2510    
2511  libmitgcmuv.a: \$(OBJFILES)  libmitgcmuv.a: \$(OBJFILES)
2512          ar rcv libmitgcmuv.a \$(OBJFILES)          ar rcv libmitgcmuv.a \$(OBJFILES)
2513            ar d   libmitgcmuv.a main.o
2514    
2515  links: \$(SRCFILES) \$(CSRCFILES) \$(HEADERFILES) \$(F90SRCFILES) \$(SPECIAL_FILES)  links: \$(SRCFILES) \$(CSRCFILES) \$(HEADERFILES) \$(F90SRCFILES) \$(SPECIAL_FILES)
2516    
# Line 2466  output.txt: \$(EXECUTABLE) Line 2521  output.txt: \$(EXECUTABLE)
2521          @\$(EXECUTABLE) > \$@          @\$(EXECUTABLE) > \$@
2522    
2523  clean:  clean:
2524          -rm -rf *.o *.$FS *.p *.$FS90 *.mod ${RMFILES} work.{pc,pcl} *.template          -rm -rf *.p *.$FS90 *.mod ${RMFILES} work.{pc,pcl} *.template
2525            -rm -rf *.o
2526            -rm -rf *.$FS
2527  Clean:  Clean:
2528          @make clean          @make clean
2529          @make cleanlinks          @make cleanlinks
# Line 2477  CLEAN: Line 2534  CLEAN:
2534          -find \$(EXEDIR) -name "*.meta" -exec rm {} \;          -find \$(EXEDIR) -name "*.meta" -exec rm {} \;
2535          -find \$(EXEDIR) -name "*.data" -exec rm {} \;          -find \$(EXEDIR) -name "*.data" -exec rm {} \;
2536          -find \$(EXEDIR) -name "fort.*" -exec rm {} \;          -find \$(EXEDIR) -name "fort.*" -exec rm {} \;
2537          -rm -f \$(EXECUTABLE) *.txt STD* *diagnostics.log datetime          -rm -f \$(EXECUTABLE) \$(EXE_AD) *.txt STD* *diagnostics.log datetime
2538          -rm -rf mnc_test_*          -rm -rf mnc_test_*
2539    
2540  #eh3 Makefile: makefile  #eh3 Makefile: makefile
# Line 2536  cat >>$MAKEFILE <<EOF Line 2593  cat >>$MAKEFILE <<EOF
2593          \$(CPP) \$(DEFINES) \$(INCLUDES) > \$@          \$(CPP) \$(DEFINES) \$(INCLUDES) > \$@
2594  .$FS.o:  .$FS.o:
2595          \$(FC) \$(FFLAGS) \$(FOPTIM) -c \$<          \$(FC) \$(FFLAGS) \$(FOPTIM) -c \$<
2596  .F90.$FS90:  .F90.o:  
         \$(CPP) \$(DEFINES) \$(INCLUDES) > \$@  
 .$FS90.o:  
2597          \$(F90C) \$(F90FLAGS) \$(F90OPTIM) -c \$<          \$(F90C) \$(F90FLAGS) \$(F90OPTIM) -c \$<
2598  .c.o:  .c.o:
2599          \$(CC) \$(CFLAGS) \$(DEFINES) \$(INCLUDES) -c \$<          \$(CC) \$(CFLAGS) \$(DEFINES) \$(INCLUDES) -c \$<
# Line 2585  rm -f ad_files Line 2640  rm -f ad_files
2640  cat >>$MAKEFILE <<EOF  cat >>$MAKEFILE <<EOF
2641    
2642  # ... AD ...  # ... AD ...
2643  adall: ad_taf  adall: \$(EXE_AD)
2644  adtaf: ad_taf_output.$FS  adtaf: ad_taf_output.$FS
2645  adtamc: ad_tamc_output.$FS  adtamc: ad_tamc_output.$FS
2646    
# Line 2605  adtafonly: Line 2660  adtafonly:
2660          \$(TAF) \$(AD_TAF_FLAGS) \$(TAF_EXTRA) ad_input_code.$FS          \$(TAF) \$(AD_TAF_FLAGS) \$(TAF_EXTRA) ad_input_code.$FS
2661          cat ad_input_code_ad.$FS | sed -f \$(TOOLSDIR)/adjoint_sed > ad_taf_output.$FS          cat ad_input_code_ad.$FS | sed -f \$(TOOLSDIR)/adjoint_sed > ad_taf_output.$FS
2662    
2663  ad_taf: ad_taf_output.o \$(OBJFILES)  \${EXE_AD}: ad_taf_output.o \$(OBJFILES)
2664          \$(LINK) -o ${EXE_AD} \$(FFLAGS) \$(FOPTIM) \$(OBJFILES) ad_taf_output.o \$(LIBS)          \$(LINK) -o \${EXE_AD} \$(FFLAGS) \$(FOPTIM) \$(OBJFILES) ad_taf_output.o \$(LIBS)
2665    
2666  ad_tamc_output.$FS: ad_input_code.$FS  ad_tamc_output.$FS: ad_input_code.$FS
2667          \$(TAMC) \$(AD_TAMC_FLAGS) \$(TAMC_EXTRA) ad_input_code.$FS          \$(TAMC) \$(AD_TAMC_FLAGS) \$(TAMC_EXTRA) ad_input_code.$FS

Legend:
Removed from v.1.151  
changed lines
  Added in v.1.165

  ViewVC Help
Powered by ViewVC 1.1.22